#
# @(#)06 1.1.3.13  src/clients/tools/makefile.HP9000, ldap.clients, aus51pldap, 030108a 6/27/02 17:10:39
#
#-----------------------------------------------------------------------------
#
# COMPONENT_NAME: examples
#
# ABSTRACT: makefile to generate the example LDAP client programs
#
# ORIGINS: 202,27
#
# (C) COPYRIGHT International Business Machines Corp. 1997, 1998, 2001,2002
# All Rights Reserved
# Licensed Materials - Property of IBM
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#-----------------------------------------------------------------------------
# Copyright (c) 1994 Regents of the University of Michigan.
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted
# provided that this notice is preserved and that due credit is given
# to the University of Michigan at Ann Arbor. The name of the University
# may not be used to endorse or promote products derived from this
# software without specific prior written permission. This software
# is provided ``as is'' without express or implied warranty.
#-----------------------------------------------------------------------------
#
# This makefile will build the example programs whose source is contained
# in this directory.  The four programs generated are:
#  ldapsearch
#  ldapmodify
#  ldapadd (a hard-link to ldapmodify)
#  ldapmodrdn
#  ldapdelete
#  ldapchangepwd
# In addition to being examples of the use of the LDAP client api, these
# programs are useful command line utilities.  See the README file for
# more details.

#
# default definitions for Unix utilities (may be changed here)
CC	= aCC
RM	= rm -f
HARDLN	= ln

#############################################################################
## General compiler options                                                ##
#############################################################################

# Note: replace ../include with the appropriate path to the LDAP header files.
INCLUDES= -I../include
CFLAGS	= $(INCLUDES) -DNEEDPROTOS +W829 -D_HP9000

#############################################################################
## Linker options                                                          ##
#############################################################################

# Use the following definition to link the sample programs with
# the shared LDAP library.  
CLIENT_LIBS = -lldif -libmldap

# Or use this definition to link the LDAP library statically:
#CLIENT_LIBS = -lldapstatic -lldif -lldapiconv

LIBS	= -L/usr/lib -L/usr/IBMldap/lib -lpthread
LFLAGS  = $(LIBS) $(CLIENT_LIBS) -Wl,+b,/usr/lib:/lib:/usr/IBMldap/lib,+s

#############################################################################
## Targets                                                                 ##
#############################################################################

all:	ldapsearch ldapmodify ldapdelete ldapmodrdn ldapadd ldapchangepwd

ldapsearch:	
	$(CC) $(CFLAGS) -o $@ ldapsearch.c $(LFLAGS)

ldapmodify:
	$(CC) $(CFLAGS) -o $@ ldapmodify.c $(LFLAGS)

ldapdelete:
	$(CC) $(CFLAGS) -o $@ ldapdelete.c $(LFLAGS)

ldapmodrdn:
	$(CC) $(CFLAGS) -o $@ ldapmodrdn.c $(LFLAGS)

ldapchangepwd:
	$(CC) $(CFLAGS) -o $@ ldapchangepwd.c $(LFLAGS)

ldapadd:	ldapmodify
	$(RM) $@
	$(HARDLN) ldapmodify ldapadd

clean:	
	$(RM) *.o core a.out ldapsearch ldapmodify ldapdelete \
		ldapmodrdn ldapadd ldapchangepwd

